<template lang="pug">
.row.align-items-center.no-gutters.my-1
  .col-9(@click='setSelected')
    BadgeButton(type='property' :badges='{ name }' :isSelected='isSelected')
  .col-3(@click="onInputClick($event)")
    BaseToggle.d-flex.justify-content-center.p-0(ref='value' :value='value')
  BaseAnimationBlock(anim='height')
    RelationList(v-show='isInSelection' :property='property' :state='state')
</template>
<script src='./PropertyBoolean.vue.js' />
